.input__field {
    &__wrapper {
        width: 95%;
        height: 75px;
        margin: 0 3% 6% 3%;
    }

    &__label {
        //font-family: $font-primary;
        font-size: 1.2rem;
        font-weight: 500;
        font-style: normal;
        font-stretch: normal;
        line-height: 1.32;
        letter-spacing: normal;
        text-align: left;
        color: #015a83;
    }

    &__fieldset {
        box-sizing: border-box;
        margin-top: 10px;
        width: 100%;
        min-height: 60px;
        position: relative;

        &__pseudo-capture {
            position: absolute;
            left: 0;
            top: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            cursor: pointer;
        }

        &__label {
            &--flat {
                color: #ffffff;
                font-weight: 400;
                //font-family: $font-primary;
            }
        }

        .input__field {
            width: 100%;
            height: 40px;
            border: 0;
            border-radius: 5px;
            background-color: #f8f8f8;
            font-size: 1.4rem;
            //font-family: $font-secondary;
            font-weight: 300;
            letter-spacing: normal;
            text-align: left;
            color: #015a83;
            outline: none;
            padding: 0px 15px;
            margin-top: 5px;

            &::placeholder {
                color: #cbcbcb;
            }

            // flat style ( for login pseudo input capture )
            &--flat {
                height: 40px;
                background: none;
                border: none;
                border-bottom: 1px solid rgba(#ffffff, 0.5);
                outline: none;
                display: block;
                width: 100%;
                font-size: 1.5rem;
                font-weight: 600;
                color: #ffffff;
                position: relative;
                z-index: 1;
                border-radius: 0;
                padding: 0;
            }

            &--required {
                &:after {
                    content: '*';
                    display: block;
                    font-size: 1rem;
                    color: #F66065;
                    position: absolute;
                    top: 5px;
                    right: 5px;
                }
            }

            &--readonly {
                background-color: #f8f8f8;
                pointer-events: none;
            }

            &--disabled {
                background-color: #f0f0f0;
                user-select: none;
            }

            &--error {
                border: 1px solid #ff6a6a;
            }
        }
    }

    &--error-message {
        width: 100%;
        //font-family: $font-secondary;
        font-size: 1.2rem;
        margin: 8px;
        font-weight: 300;
        font-style: normal;
        font-stretch: normal;
        line-height: 1.31;
        letter-spacing: normal;
        text-align: left;
        color: #ff7171;
    }
}
